=== src/CMakeLists.txt ===

include_directories(
    include
    ${CMAKE_BINARY_DIR}
    ${CMAKE_BINARY_DIR}/src/include
)

add_subdirectory(bankdata)
add_subdirectory(include)
add_subdirectory(lib)
add_subdirectory(bin)
if(Python_Development_FOUND)
    add_subdirectory(python)
endif()
