=== src/bankdata/CMakeLists.txt ===
set(BANK_WEBSITE_URL ${BANK_WEBSITE_HOST}${BANK_WEBSITE_PATH})

set(TEMP_FILE "${CMAKE_CURRENT_BINARY_DIR}/tmpfile.txt")
set(SEARCH_FILENAME blz-aktuell-txt-data.txt)

# generate cmake script for downloading bank data file
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/tmp.cmake "
    file(DOWNLOAD \"${BANK_WEBSITE_URL}\" \"${TEMP_FILE}\")
    file(READ \"${TEMP_FILE}\" DATA)
    #message(\"\${DATA}\")
    string(REGEX REPLACE \".*href=\\\"(.*/${SEARCH_FILENAME})\\\".*\" \"${BANK_WEBSITE_HOST}/\\\\1\" FILE_URL  \"\${DATA}\")
    message(\"got file url \${FILE_URL}\")
    file(DOWNLOAD \"\${FILE_URL}\" \"${BANKDATA_RAW_FILEPATH}\")
")

# fetch raw bankdata file
add_custom_command(
    OUTPUT ${BANKDATA_RAW_FILEPATH}
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/tmp.cmake
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Download raw bank data file to ${BANKDATA_RAW_FILEPATH}"
)

# convert into ktoblzcheck format
add_custom_command(
    OUTPUT ${BANKDATA_FILEPATH}
    COMMAND ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/bankdata.py -o ${BANKDATA_FILEPATH} ${BANKDATA_RAW_FILEPATH}
    DEPENDS ${BANKDATA_RAW_FILEPATH}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_custom_target(fetch_bankdata
    DEPENDS ${BANKDATA_RAW_FILENAME}
)

add_custom_target(bankdata_de
    DEPENDS ${BANKDATA_FILEPATH}
)

add_subdirectory(sepa)

set(INSTALL_FILES
    ${BANKDATA_FILEPATH}
    ibandata.txt
)

if(INSTALL_RAW_BANKDATA_FILE)
    list(APPEND INSTALL_FILES ${BANKDATA_RAW_FILEPATH})
endif()

install(FILES ${INSTALL_FILES} DESTINATION share/${PROJECT_NAME})
