=== src/include/CMakeLists.txt ===

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktoblzcheck.h.in ${CMAKE_CURRENT_BINARY_DIR}/ktoblzcheck.h)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ktoblzcheck.h iban.h DESTINATION include)
