=== src/bankdata/sepa/CMakeLists.txt ===
fetch_file(
    KEY sepa
    URL https://www.bundesbank.de/resource/blob/602880/c9e0b10e3678615c2651a61c004ba850/mL/verzeichnis-der-erreichbaren-zahlungsdienstleister-data.csv
)

if(INSTALL_SEPA_BANKDATA_FILE)
    install(FILES ${DATA_FILEPATH_sepa} DESTINATION share/${PROJECT_NAME})
endif()
