=== debian/changelog ===
libktoblzcheck (1.53-2) unstable; urgency=medium

  * Bump debhelper from 12 to 13.
  * debian/clean: Delete src/python/__pycache__ too.
  * Package is compliant to Debian Policy 4.5.1 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Tue, 23 Feb 2021 21:33:24 +0100

libktoblzcheck (1.53-1) unstable; urgency=medium

  * New upstream version 1.53.
  * debian/rules: Re-enable running the test-python unit tests.
  * Package is compliant to Debian Policy 4.5.0 (no changes needed).
  * libktoblzcheck1-dev: Ship cmake modules too.

 -- Micha Lenk <micha@debian.org>  Sat, 25 Apr 2020 21:37:25 +0200

libktoblzcheck (1.52-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Name, Repository.

  [ Micha Lenk ]
  * New upstream version 1.52
  * Drop patch 0001_drop_python2_detection.patch (fixed differently upstream).
  * Drop patch fix_missing_BANKDATA_PATH.patch (the issue got fixed differently
    upstream).
  * Add build dependency on python-all-dev and dh-python to fix build failures.
  * debian/rules: Skip running the broken test-python unit tests. This
    currently prevents packaging the python modules again.

  [ Benjamin Eikel ]
  * The new upstream version now installs the ibanchk executable for checking
    international bank account numbers (IBANs) on the command line (the issue
    of this missing executable was initially reported via Debian but got
    integrated and released by upstream almost immediately).

 -- Micha Lenk <micha@debian.org>  Fri, 10 Apr 2020 23:40:13 +0200
