=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_BANKDATA_DOWNLOAD=0 \
		-DINSTALL_RAW_BANKDATA_FILE=1
