=== debian/tests/control ===
Test-Command: ktoblzcheck 10000000 1
Depends: @
