=== debian/watch ===
version=3
https://sf.net/ktoblzcheck/ \
  ktoblzcheck-([\d.]*).tar.gz debian uupdate
