## libktoblzcheck 1.57

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
     algorithms.cc
     accnum.cc
     iban.cc
+    updater.cc
 )
 if(BUILD_STATIC)
     set(MODE STATIC)
@@ -21,7 +22,7 @@
 endif()
 
 add_library(ktoblzcheck ${MODE} ${ktoblzcheck_LIB_SRCS})
-target_link_libraries(ktoblzcheck stdc++ ${LIBS})
+target_link_libraries(ktoblzcheck PRIVATE stdc++ ${LIBS} ${SQLite3_LIBRARIES} ${CURL_LIBRARIES})
 if(WIN32)
     set_target_properties(ktoblzcheck PROPERTIES SUFFIX "-${LIBKTOBLZCHECK_EFFECTIVE}${CMAKE_SHARED_LIBRARY_SUFFIX}")
 else()
@@ -29,6 +30,10 @@
 endif()
 
 add_dependencies(ktoblzcheck bankdata_de)
+add_dependencies(ktoblzcheck bankdata_db)
+add_dependencies(ktoblzcheck bankdata_nl_db)
+add_dependencies(ktoblzcheck bankdata_ch_db)
+add_dependencies(ktoblzcheck bankdata_test_db)
 add_dependencies(ktoblzcheck fetch_sepa)
 
 install(TARGETS ktoblzcheck ${INSTALL_TARGETS_DEFAULT_ARGS})
