=== debian/changelog ===
libktoblzcheck (1.57-2) experimental; urgency=medium

  * Add patch ENABLE_BANKDATA_DOWNLOAD_broken.patch to fix unexpected network
    access during build (Closes: #1084790). Thanks to Santiago Vila for all the
    help spotting the root cause.
  * Update bankdata.

 -- Micha Lenk <micha@debian.org>  Sun, 03 Nov 2024 16:03:28 +0100

libktoblzcheck (1.57-1) experimental; urgency=medium

  * New upstream version 1.57 (closes: #1074673).
  * debian/control: Add new build dependencies on python3-openpyxl,
    libcurl4-gnutls-dev and libsqlite3-dev.
  * Bundle current bankdata in debian/bankdata/.
  * Package is compliant to Debian Policy 4.7.0 (no changes needed)
  * debian/watch: Bump to format version 4 and use well-known patterns
  * debian/upstream/metadata: Add references to upstream bug tracker

 -- Micha Lenk <micha@debian.org>  Sun, 29 Sep 2024 13:16:09 +0200

libktoblzcheck (1.53-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062395

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 13:32:23 +0000

libktoblzcheck (1.53-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster.

  [ Micha Lenk ]
  * Fix build failure caused by Python version change (Closes: #1009421).
  * Package is compliant to Debian Policy 4.6.0 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Fri, 15 Apr 2022 17:29:52 +0200
