=== debian/control ===
Source: libktoblzcheck
Section: libs
Priority: optional
Maintainer: Micha Lenk <micha@debian.org>
Uploaders: Henning Glawe <glaweh@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 dh-python,
 cmake,
 libcurl4-gnutls-dev,
 libsqlite3-dev,
 python3-all-dev,
 python3-openpyxl
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/aqbanking-team/pkg-ktoblzcheck
Vcs-Git: https://salsa.debian.org/aqbanking-team/pkg-ktoblzcheck.git

Package: libktoblzcheck1t64
Provides: ${t64:Provides}
X-Time64-Compat: libktoblzcheck1v5
Breaks: libktoblzcheck1v5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: ktoblzcheck
Conflicts: libktoblzcheck1c2a
Replaces: libktoblzcheck1v5, libktoblzcheck1c2a
Description: library for verification of account numbers and bank codes
 libktoblzcheck is a library for verification of bank account numbers and bank
 codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).

Package: libktoblzcheck1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libktoblzcheck1t64 (= ${binary:Version}), ${misc:Depends}
Description: library for verification of account numbers and bank codes (development files)
 libktoblzcheck is a library for verification of bank account numbers and bank
 codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).
 .
 This package contains the development files.

Package: ktoblzcheck
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wget
Description: tool for verification of account numbers and bank codes
 ktoblzcheck is a command line tool for verification of bank account numbers
 and bank codes (BLZ) of German Banks. It is based on the specifications of the
 "Deutsche Bundesbank". It also supports the verification of international bank
 account numbers (IBAN) and bank identifier codes (BIC).
