=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,12 @@
 	dh $@ --with python3
 
 override_dh_auto_configure:
+	install -dv src/bankdata
+	install -v debian/bankdata/blz_2*.txt src/bankdata/
+	install -v debian/bankdata/ch_data.txt src/bankdata/
+	install -v debian/bankdata/nl_data.xlsx src/bankdata/
+	install -dv src/bankdata/sepa
+	install -v debian/bankdata/sepa/*.txt src/bankdata/sepa/
 	dh_auto_configure -- \
 		-DENABLE_BANKDATA_DOWNLOAD=0 \
 		-DINSTALL_RAW_BANKDATA_FILE=1
