## libktoblzcheck 1.59

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,29 +1,25 @@
-cmake_minimum_required(VERSION 3.0)
-
-project(ktoblzcheck VERSION 1.53.0)
-
-# define path for local cmake modules
-list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
+cmake_minimum_required(VERSION 3.14.0)
+
+project(ktoblzcheck VERSION 1.59.0)
+
+# provide gnu compatible install dirs
+include(GNUInstallDirs)
 
 ########### options ###############
-option(ENABLE_BANKDATA_DOWNLOAD "Enable download of raw bank data file" ON)
-option(INSTALL_RAW_BANKDATA_FILE "Install raw bank data file" OFF)
+set(BANKDATA_PATH "${CMAKE_INSTALL_FULL_DATADIR}/ktoblzcheck" CACHE STRING "Path where bankdata files are installed")
+option(ENABLE_METHOD_TESTS "Enable testing methods" OFF)
 
 ########### global settings ###############
-set(BANK_WEBSITE_HOST https://www.bundesbank.de)
-set(BANK_WEBSITE_PATH /de/aufgaben/unbarer-zahlungsverkehr/serviceangebot/bankleitzahlen/download---bankleitzahlen-602592)
-# format description
-#https://www.bundesbank.de/resource/blob/602848/50cba8afda2b0b1442016101cfd7e084/mL/merkblatt-bankleitzahlendatei-data.pdf
-
-option(INSTALL_SEPA_BANKDATA_FILE "Install sepa provider data file in csv format" OFF)
 option(BUILD_STATIC "build static library and executables" OFF)
 if(BUILD_STATIC)
     set(LIBS -static -static-libgcc -static-libstdc++)
     set(CMAKE_BUILD_TYPE Release)
 endif()
 
-# provide gnu compatible install dirs
-include(GNUInstallDirs)
+set (CMAKE_CXX_STANDARD 14)
+
+# define path for local cmake modules
+list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
 # definitions for running cross compile applications
 include(MacrosWine)
@@ -82,42 +78,44 @@
     set(HAVE_LIBPTHREAD 1)
 endif()
 
-find_package (Python3 COMPONENTS Interpreter Development)
-if(Python3_FOUND)
-    set(Python_EXECUTABLE ${Python3_EXECUTABLE})
-    string(REGEX REPLACE "^([0-9]+.[0-9]+).*" "\\1" Python_VERSION_MAJOR_MINOR ${Python3_VERSION})
-    set(Python_SITEARCH "${CMAKE_INSTALL_LIBDIR}/python${Python_VERSION_MAJOR_MINOR}/site-packages")
+if(CMAKE_CROSSCOMPILING)
+    if(Python3_SITEARCH)
+        set(Python_SITEARCH ${Python3_SITEARCH])
+    endif()
+    if(Python3_EXECUTABLE)
+        set(Python_EXECUTABLE ${Python3_EXECUTABLE])
+    endif()
+    if(NOT Python_SITEARCH)
+        message(FATAL_ERROR "Could not detect python3 installation directory for site packages."
+        "To specify it, add -DPython_SITEARCH=<path> to cmake configure command.")
+    endif()
+    if(NOT Python_EXECUTABLE)
+        message(FATAL_ERROR "Could not detect python3 executable for running command on the native system"
+        "To specify it, add -DPython_EXECUTABLE=<path> to cmake configure command.")
+    endif()
     set(Python_Interpreter_FOUND TRUE)
-    set(Python_Development_FOUND TRUE)
 else()
-    find_package(Python2 COMPONENTS Interpreter Development)
-    # for cmake < 3.12
-    if(Python2_Interpreter_FOUND)
-        set(Python_EXECUTABLE ${Python2_EXECUTABLE})
+    find_package (Python3 COMPONENTS Interpreter)
+    if(Python3_FOUND)
+        set(Python_EXECUTABLE ${Python3_EXECUTABLE})
+        string(REGEX REPLACE "^([0-9]+.[0-9]+).*" "\\1" Python_VERSION_MAJOR_MINOR ${Python3_VERSION})
+        set(Python_SITEARCH "${CMAKE_INSTALL_LIBDIR}/python${Python_VERSION_MAJOR_MINOR}/site-packages")
         set(Python_Interpreter_FOUND TRUE)
-    else()
-        find_package(PythonInterp 2.7 REQUIRED)
-        set(Python_Interpreter_FOUND TRUE)
-        set(Python_EXECUTABLE ${PYTHON_EXECUTABLE})
-    endif()
-    if(Python2_Development_FOUND)
-        string(REGEX REPLACE "^([0-9]+.[0-9]+).*" "\\1" Python_VERSION_MAJOR_MINOR ${Python2_VERSION})
-        set(Python_SITEARCH "${CMAKE_INSTALL_LIBDIR}/python${Python_VERSION_MAJOR_MINOR}/site-packages")
-        set(Python_Development_FOUND TRUE)
-    else()
-        find_package(PythonLibs 2.6 REQUIRED)
-        set(Python_Development_FOUND TRUE)
-        set(Python2_VERSION ${PYTHONLIBS_VERSION_STRING})
-        string(REGEX REPLACE "^([0-9]+.[0-9]+).*" "\\1" Python_VERSION_MAJOR_MINOR ${Python2_VERSION})
-        set(Python_SITEARCH "${CMAKE_INSTALL_LIBDIR}/python${Python_VERSION_MAJOR_MINOR}/site-packages")
-    endif()
-endif()
+        message(STATUS "found python3 version ${Python3_VERSION} with site packages installation directory '${Python_SITEARCH}'")
+    endif()
+endif()
+
+find_package(SQLite3 REQUIRED)
+find_package(CURL REQUIRED)
+cmake_policy(SET CMP0079 NEW)
+
 ########### configure checks ###############
 include(CheckIncludeFile)
 check_include_file(dirent.h     HAVE_DIRENT_H)
 check_include_file(dlfcn.h      HAVE_DLFCN_H)
 check_include_file(inttypes.h   HAVE_INTTYPES_H)
 check_include_file(memory.h     HAVE_MEMORY_H)
+check_include_file(sqlite3.h    HAVE_SQLITE3_H)
 check_include_file(stdint.h     HAVE_STDINT_H)
 check_include_file(stdlib.h     HAVE_STDLIB_H)
 check_include_file(stdio.h      HAVE_STDIO_H)
@@ -132,29 +130,31 @@
 check_type_size("long long" LONG_LONG)
 
 
-# bankdata related variables
+# bankdata related variables in source dir
 set(BANKDATA_SRCPATH ${CMAKE_SOURCE_DIR}/src/bankdata)
-if(ENABLE_BANKDATA_DOWNLOAD)
-    string(TIMESTAMP _BANKDATA_FILE "bankdata_%Y%m%d.txt")
-    set(BANKDATA_FILE ${_BANKDATA_FILE})
-    set(BANKDATA_FILEPATH "${BANKDATA_SRCPATH}/${BANKDATA_FILE}")
-    message(STATUS "Using bank data file ${BANKDATA_FILEPATH}")
-
-    string(TIMESTAMP _BANKDATA_RAW_FILE "blz_%Y%m%d.txt")
-    set(BANKDATA_RAW_FILE ${_BANKDATA_RAW_FILE})
-    set(BANKDATA_RAW_FILEPATH "${BANKDATA_SRCPATH}/${BANKDATA_RAW_FILE}")
-    message(STATUS "Using raw bank data file ${BANKDATA_RAW_FILEPATH}")
-else()
-    file(GLOB BANKDATA_FILEPATH  "${BANKDATA_SRCPATH}/bankdata_*.txt")
-    get_filename_component(BANKDATA_FILE ${BANKDATA_FILEPATH} NAME)
-    message(STATUS "Using present bank data file ${BANKDATA_FILEPATH}")
-
-    file(GLOB BANKDATA_RAW_FILEPATH  "${BANKDATA_SRCPATH}/blz_*.txt")
-    get_filename_component(BANKDATA_RAW_FILE ${BANKDATA_RAW_FILEPATH} NAME)
-    message(STATUS "Using present raw bank data file ${BANKDATA_RAW_FILEPATH}")
-endif()
-set(BANKDATA_PATH ${CMAKE_INSTALL_FULL_DATADIR}/ktoblzcheck)
+set(BANKDATA_TEST_FILEPATH "${BANKDATA_SRCPATH}/bankdata_test.txt")
+
+# bankdata related variables for install location
 add_definitions(-DBANKDATA_PATH="${BANKDATA_PATH}")
+
+# bankdata database related variables
+set(BANKDATA_DB "bankdata.de.db")
+set(BANKDATA_NL_DB "bankdata.nl.db")
+set(BANKDATA_CH_DB "bankdata.ch.db")
+set(BANKDATA_TEST_DB "bankdata.test.db")
+
+set(BANKDATA_DBPATH "${BANKDATA_PATH}/${BANKDATA_DB}")
+set(BANKDATA_NL_DBPATH "${BANKDATA_PATH}/${BANKDATA_NL_DB}")
+set(BANKDATA_CH_DBPATH "${BANKDATA_PATH}/${BANKDATA_CH_DB}")
+set(BANKDATA_TEST_DBPATH "${BANKDATA_SRCPATH}/${BANKDATA_TEST_DB}")
+
+list(APPEND ADDITIONAL_CLEAN_FILES ${BANKDATA_TEST_DBPATH})
+
+message(STATUS "Using bank data db ${BANKDATA_DBPATH}")
+message(STATUS "Using bank data db ${BANKDATA_NL_DBPATH}")
+message(STATUS "Using bank data db ${BANKDATA_CH_DBPATH}")
+message(STATUS "Using bank data db ${BANKDATA_TEST_DBPATH}")
+
 
 ########### generate pkgconfig file ###############
 set(prefix "\${pcfiledir}/../..")
@@ -216,13 +216,7 @@
 )
 
 add_custom_target(dist
-    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_SOURCE_DIR}  ${temppath}
-    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/config.h.cmake ${temppath}
-    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/ktoblzcheck.spec ${temppath}
-    COMMAND ${CMAKE_COMMAND} -E tar -czf ${tarball} ${tarname}
-    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/tmp
-    COMMENT "generating ${tarball}"
-    DEPENDS ${temppath} ${CMAKE_BINARY_DIR}/ktoblzcheck.spec ${CMAKE_BINARY_DIR}/config.h.cmake
+    COMMAND ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} -t package_source
 )
 
 add_custom_target(rpm
@@ -248,14 +242,21 @@
     ARGS ls-files --others --directory
     OUTPUT_VARIABLE IGNORE_FILES
 )
+
 string(REGEX REPLACE "\n" ";" IGNORE_FILES "${IGNORE_FILES}")
 
-# did not find a way to disable binary generator for now
-set(CPACK_GENERATOR "XX")
+set(CPACK_GENERATOR "TGZ")
+set(CPACK_SOURCE_GENERATOR "TGZ")
+list(APPEND CPACK_SOURCE_IGNORE_FILES
+    .git/
+    ${IGNORE_FILES}
+    build/
+    ".*~$"
+    ".*\\.autosave"
+)
+set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
 set(CPACK_STRIP_FILES TRUE)
-set(CPACK_SOURCE_GENERATOR "TGZ")
-set(CPACK_SOURCE_IGNORE_FILES ".git;${IGNORE_FILES}")
-set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
+set(CPACK_VERBATIM_VARIABLES YES)
 include(CPack)
 
 ########### generate installer ###############
@@ -289,7 +290,9 @@
 # enable ctest
 enable_testing()
 
-add_subdirectory(autotests)
+if(NOT CROSS_COMPILING)
+    add_subdirectory(autotests)
+endif()
 add_subdirectory(src)
 add_subdirectory(doc)
