=== autotests/install/CMakeLists.txt ===
project(ktoblzcheck_install)
cmake_minimum_required(VERSION 3.14.0)

set (CMAKE_CXX_STANDARD 11)

cmake_policy(SET CMP0065 OLD)

find_package(KtoBlzCheck ${CHECK_VERSION} REQUIRED)

include_directories(${KtoBlzCheck_DIR}/src/include)

add_executable(mytest mytest.cc)
target_link_libraries(mytest ktoblzcheck)

install(TARGETS mytest RUNTIME DESTINATION bin)
