=== src/include/CMakeLists.txt ===

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktoblzcheck.h.in ${CMAKE_CURRENT_BINARY_DIR}/ktoblzcheck.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktoblzcheck_export.h ${CMAKE_CURRENT_BINARY_DIR}/ktoblzcheck_export.h COPYONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ktoblzcheck.h iban.h ktoblzcheck_export.h DESTINATION include)
