=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -29,13 +29,6 @@
     set_target_properties(ktoblzcheck PROPERTIES VERSION ${LIBKTOBLZCHECK_EFFECTIVE}.${LIBKTOBLZCHECK_AGE}.${LIBKTOBLZCHECK_REVISION} SOVERSION ${LIBKTOBLZCHECK_EFFECTIVE})
 endif()
 
-add_dependencies(ktoblzcheck bankdata_de)
-add_dependencies(ktoblzcheck bankdata_db)
-add_dependencies(ktoblzcheck bankdata_nl_db)
-add_dependencies(ktoblzcheck bankdata_ch_db)
-add_dependencies(ktoblzcheck bankdata_test_db)
-add_dependencies(ktoblzcheck fetch_sepa)
-
 install(TARGETS ktoblzcheck ${INSTALL_TARGETS_DEFAULT_ARGS})
 
 ########### next target ###############
@@ -47,7 +40,7 @@
     NAME iban_check
     COMMAND ${TEST_WRAPPER} $<TARGET_FILE:iban_check>
 )
-set(env "BANKDATA_SRCPATH=${BANKDATA_SRCPATH}")
+set(env "XDG_DATA_DIRS=${BANKDATA_PATH}")
 set_tests_properties(iban_check PROPERTIES ENVIRONMENT "${env}")
 
 ########### next target ###############
