=== src/python/CMakeLists.txt ===

install(FILES ktoblzcheck.py DESTINATION ${Python_SITEARCH})

if(Python_Interpreter_FOUND)
add_test(
    NAME test-python
    COMMAND ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/test_ktoblzcheck.py
)
set_tests_properties(test-python PROPERTIES
    ENVIRONMENT "LD_LIBRARY_PATH=${CMAKE_BINARY_DIR}/lib;XDG_DATA_DIRS=${BANKDATA_PATH}"
)
endif()
