=== debian/changelog ===
libktoblzcheck (1.59-1) experimental; urgency=medium

  * New upstream version 1.59.
  * Drop ENABLE_BANKDATA_DOWNLOAD_broken.patch (applied upstream and
    additionally code path got removed).
  * Drop bundled bankdata, as the build process doesn't need it anymore.
  * Drop Python build dependencies, as the build system doesn't need them
    anymore.
  * Disable running compile time tests as some of them (iban_check, ibanchk_de,
    ibanchk_fr, test-python) are known to be broken.
  * Rework autopkgtest.
  * Add fix_segfault_on_bankdata_parent_directory_not_existing.patch.
  * Package is compliant to Debian Policy 4.7.2 (no changes needed).
  * Move Git repository to Debian group in Salsa.

 -- Micha Lenk <micha@debian.org>  Sat, 23 Aug 2025 16:35:45 +0200
