=== debian/control ===
--- 
+++ 
@@ -4,15 +4,12 @@
 Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Henning Glawe <glaweh@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
- dh-python,
  cmake,
  libcurl4-gnutls-dev,
  libsqlite3-dev,
- python3-all-dev,
- python3-openpyxl
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/aqbanking-team/pkg-ktoblzcheck
-Vcs-Git: https://salsa.debian.org/aqbanking-team/pkg-ktoblzcheck.git
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/libktoblzcheck
+Vcs-Git: https://salsa.debian.org/debian/libktoblzcheck.git
 
 Package: libktoblzcheck1t64
 Provides: ${t64:Provides}
