=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DH_VERBOSE=1

%:
	dh $@

# Disable running tests as some of them (iban_check, ibanchk_de,
# ibanchk_fr, test-python) are known to be broken
override_dh_auto_test:
