=== debian/tests/control ===
Test-Command: bats --print-output-on-failure --show-output-of-passing-tests --tap --recursive debian/tests
Depends: bats, bats-assert, ktoblzcheck
Restrictions: needs-internet
