=== debian/watch ===
version=4
https://sf.net/ktoblzcheck/ \
  ktoblzcheck@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
